Bug 88250 - RPM sometimes hangs
Summary: RPM sometimes hangs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 07:01 UTC by Need Real Name
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-14 14:55:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-04-08 07:01:32 UTC
RPM sometimes hangs during package upgrade
(rpm -Uvh ...)

rpm can not be killed by ctl-C.
Only by kill -9
Then , after rpm is killed, rpm does not work right. 
I need to reboot the computer to get it working.
Second time the same rpm -Uvh ... command work OK.
I have this with RedHat 8.0. No such problem with RedHat 7.2 or 7.3.
People say (I did not verify this myselft) that such rpm hangs
also occure in RedHat 9.

Comment 1 Jeff Johnson 2003-04-14 14:55:37 UTC
Yes, there's a SIGCHLD missed in rpm-4.1-1.06.

FIxed in rpm-4.1.1, currently available at
    ftp://ftp.rpm.org/pub/rpm/test-4.1.1


Note You need to log in before you can comment on or make changes to this bug.